import request from '@/utils/request'

// 保存
export function doctorSave(data) {
  return request({
    url: '/doctor/save',
    method: 'post',
    data
  })
}

// 列表
export function fetchDoctorList(params) {
  return request({
    url: '/doctor/list',
    method: 'get',
    params
  })
}

// 回显
export function doctorFormData(params) {
  return request({
    url: '/doctor/form/data',
    method: 'get',
    params
  })
}

// 删除
export function removeDoctor(data) {
  return request({
    url: '/doctor/delete',
    method: 'post',
    data
  })
}

// 修改状态
export function doctorStatusChange(data) {
  return request({
    url: '/doctor/update/status',
    method: 'post',
    data
  })
}

// 审核
export function doctorAudit(data) {
  return request({
    url: '/doctor/audit',
    method: 'post',
    data
  })
}
